[Acer Travelmate 1680] ubuntu 10.04 hangs on shutdown splash [unable to handle kernel NULL pointer dereference at (null)]

Bug #567580 reported by Pedro Ribeiro on 2010-04-20
68
This bug affects 13 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

I have an old acer travelmate 1680 and i had a fresh instalation of ubuntu 10.04 beta2.

When i shutdown, it hangs on the shutdown image, and doesn't fully shutdow. I discover if i press de F1 key after hiting the shutdown icon and before the splash image that the computer can shutdown with sucess, so i think the problem is due with shutdown splash

****2.6.35-rc1 Lucid tested *****

tags: added: 1680 acer shutdown splash
Pedro Ribeiro (pedrocorribeiro) wrote :

Sorry, the computer is an Aspire 1680.

tags: added: lucid
Flávio Etrusco (etrusco) wrote :

What's the video card in this? I see this problem (but I'm unable to test F1 - I'm not with the notebook right now) with a Radeon Mobility HD 4650 (an r600 series chip), only when kernel modeset is enabled.

Pedro Ribeiro (pedrocorribeiro) wrote :

My video card is Radeon Mobility 9700 (r300)

Steve Nicholas (steve-net51) wrote :

I have the same problem on an Acer Aspire 1680 with a fresh install of 10.04.

Again pressing the F1 key after hitting shutdown results in a successful shutdown.

Eric Lapouyade (elapouya) wrote :

With Ubuntu 10.04 final
I do have the same behaviopur on my acer 5536 (ATI Technologies Inc M92 [Mobility Radeon HD 4500 Series])
But In my case, I don't think it is a splash problem :
if I press F1, it does not help : it hangs on "system will now halt" ... but it does not power off the laptop.
So it seems that the system does not know how to do the final halt step.

Interesting Note : If I choose 'restart' instead of stopping the laptop, it works :
at the shutdown screen after F1, it is displayed "system will now restart" ... and it works : the laptop is resetted.

Patrick Ulbrich (pulb) on 2010-05-03
tags: added: 5500
tags: added: radeon
Kevin Benningshof (kevjee89) wrote :

Hi there all.
I've installed ubuntu 10.04 final and im running into the same problem as all of you.
I've got a Acer Aspire 5536G and my notebook hangs when i try to shutdown.

I've tried to press F1 on shutdown but system still hangs.

I didn't try to press "restart"

I've figured out that if you install the drivers for the ATI gfx my system will shutdown and will not hang anymore. (I dont want to use 10.04 driver from the ATI site, because it doesnt support my second screen and hdmi port)

Hope someone/ubuntu finds or make's a fix for this.

Kevin Benningshof (kevjee89) wrote :

I'm running Ubuntu 10.04 AMD64 Final Release

Nicolas (nicolas-pecqueux) wrote :

Same behavior as Eric Lapouyade

Kernel : 2.6.32-22-generic
Ubuntu 10.04
Laptop : Acer aspire 1680
ATI card

I checked auto login / ooo quick starter : no result

Nicolas (nicolas-pecqueux) wrote :

when doing
sudo shutdown -P now in tt7 (graphical interface) : system freezes on progress bar
doing same command on tty1 : system shuts down after one minute or so
I am not able to make any conclusion

Nicolas (nicolas-pecqueux) wrote :

Last comment :

sudo gedit /etc/default/grub

change : GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

by : GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi=force"

sudo update -grub

This worked fine for me !

Kernel : 2.6.32-22-generic
Ubuntu 10.04
Laptop : Acer aspire 1680
ATI card 9700 mobility

"Last comment :

sudo gedit /etc/default/grub

change : GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

by : GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi=force"

sudo update -grub

This worked fine for me !"

No luck for me. It doesn't work for acer 1680

Nicolas (nicolas-pecqueux) wrote :

Sorry it does not work so fine !

It works soem time fine, some others, it wait for one minute or so and most of the time it waits until I do it manually...

That's strange !!
Any idea from community ??!

Cristi Nistor (cristi-nistor) wrote :

I have the same issue. I have an old Fujitsu-Siemens C-1020 laptop with a Savage Pro graphic card.
Also I've noticed that the /etc/default/grub file is missing.
Everything is working fine with the exception of restart or shutting down the machine. I'll try the F1 key trick to see if is any difference.

Cristi Nistor (cristi-nistor) wrote :

When the machine hangs the messages I see on screen are:

Kernel panic - not syncing: Fatal exception in interrupt.
Pid: 13, comm: bdi-default Tainted: P D W 2.6.32-22-generic#36-Ubuntu
Call Trace:
? printk+0x1d/0x23
panic+0x48/0xf3
oops_end+0xcd/0xd0
no_context+0xbc/0xe0
__bad_area_nosemaphore+0x3c/0x16

When I wrote these lines on a paper The next lines appear on the screen:

atkbd.c: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.
__ratelimit: 12 callbacks sppressed

Tom Erickson (tom-erickson) wrote :

Last Saturday I bit the bullet and upgraded from 9.10 to 10.04. I immediately began experiencing the problem identified in this post - shutdown would hang at the Ubuntu logo with sequential dots, but in very low pixel and color resolution. The F1 trick works for me. I am running 10.04 on a IBM R40 with 1.an ATI Radeon video chipset. Here are the details of my video:
~$ lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500] [1002:4c57].

Tom Erickson

factorialpython (cksd) wrote :

have toshiba satpro 44300 asd the same thing for me shutdown would hang at the Ubuntu logo with sequential dot, no idea how to solve it. any ideas most welcome (vernew newbie to ubuntu, so simple step answer pls)

Kernel : 2.6.32-23-generic
Ubuntu 10.04 32 bit
Desktop : HP Pavilion
Processor : Intel(R) Celeron(R) CPU 2.66GHz
Video Card : NVidia Geforce 6600

sudo gedit /etc/default/grub
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi=force"
sudo update -grub

tried the above with no success, it still hangs on Ubuntu . . . . shutdown splash screen

tried from Hardware Drivers;
NVIDIA accelerated graphics driver (version current), hangs
NVIDIA accelerated graphics driver (version 96), hangs
NVIDIA accelerated graphics driver (version 173), hangs

going to remove hardware drivers and video card, so i will report back

tags: added: nvidia
Download full text (51.8 KiB)

Kernel : 2.6.32-23-generic
Ubuntu 10.04 32 bit
Desktop : HP Pavilion
Processor : Intel(R) Celeron(R) CPU 2.66GHz
Video Card : NVidia Geforce 6600

further to last post, tired fresh install of Ubuntu 10.04, applied all updates and did not add any Hardware Drivers, still hangs on Ubuntu . . . . shutdown splash screen

kern.log from startup to shutdown;

Jul 19 19:00:27 ubuntu kernel: imklog 4.2.0, log source = /proc/kmsg started.
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Initializing cgroup subsys cpuset
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Initializing cgroup subsys cpu
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Linux version 2.6.32-23-generic (buildd@rothera) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5) ) #37-Ubuntu SMP Fri Jun 11 07:54:58 UTC 2010 (Ubuntu 2.6.32-23.37-generic 2.6.32.15+drm33.5)
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] KERNEL supported cpus:
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Intel GenuineIntel
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] AMD AuthenticAMD
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] NSC Geode by NSC
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Cyrix CyrixInstead
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Centaur CentaurHauls
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Transmeta GenuineTMx86
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Transmeta TransmetaCPU
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] UMC UMC UMC UMC
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-provided physical RAM map:
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 0000000000100000 - 000000007fff0000 (usable)
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 000000007fff0000 - 000000007fff3000 (ACPI NVS)
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 000000007fff3000 - 0000000080000000 (ACPI data)
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] DMI 2.3 present.
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Phoenix BIOS detected: BIOS may corrupt low RAM, working around it.
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] last_pfn = 0x7fff0 max_arch_pfn = 0x100000
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] MTRR default type: uncachable
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] MTRR fixed ranges enabled:
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] 00000-9FFFF write-back
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] A0000-EFFFF uncachable
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] F0000-FFFFF write-through
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] MTRR variable ranges enabled:
Jul 19 19:00:27 ubuntu kernel: [ 0.000000] 0 base 000000000 mask F80000000 write-back
Jul 19 19:00:27 ubuntu kernel: [ 0....

Download full text (53.8 KiB)

I tried latest developpment kernel (2.6.34.999)
I do not have the problem anymore

Cordialement,
Eric Lapouyade

Le 19 juil. 2010 à 20:18, Christian Van Tilburg <email address hidden> a écrit :

> Kernel : 2.6.32-23-generic
> Ubuntu 10.04 32 bit
> Desktop : HP Pavilion
> Processor : Intel(R) Celeron(R) CPU 2.66GHz
> Video Card : NVidia Geforce 6600
>
> further to last post, tired fresh install of Ubuntu 10.04, applied all
> updates and did not add any Hardware Drivers, still hangs on Ubuntu . .
> . . shutdown splash screen
>
> kern.log from startup to shutdown;
>
> Jul 19 19:00:27 ubuntu kernel: imklog 4.2.0, log source = /proc/kmsg started.
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Initializing cgroup subsys cpuset
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Initializing cgroup subsys cpu
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Linux version 2.6.32-23-generic (buildd@rothera) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5) ) #37-Ubuntu SMP Fri Jun 11 07:54:58 UTC 2010 (Ubuntu 2.6.32-23.37-generic 2.6.32.15+drm33.5)
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] KERNEL supported cpus:
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Intel GenuineIntel
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] AMD AuthenticAMD
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] NSC Geode by NSC
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Cyrix CyrixInstead
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Centaur CentaurHauls
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Transmeta GenuineTMx86
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Transmeta TransmetaCPU
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] UMC UMC UMC UMC
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-provided physical RAM map:
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 0000000000100000 - 000000007fff0000 (usable)
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 000000007fff0000 - 000000007fff3000 (ACPI NVS)
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 000000007fff3000 - 0000000080000000 (ACPI data)
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] DMI 2.3 present.
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] Phoenix BIOS detected: BIOS may corrupt low RAM, working around it.
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] last_pfn = 0x7fff0 max_arch_pfn = 0x100000
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] MTRR default type: uncachable
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] MTRR fixed ranges enabled:
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] 00000-9FFFF write-back
> Jul 19 19:00:27 ubuntu kernel: [ 0.000000] A0000-EFFFF uncacha...

Thanks Eric, but the PC is destined for a non-technical person, so stable kernel is safer than development at this stage.

also noted in my latest tests in the kern.log

NVRM : Unable to connect to ACPI subset! or something similar

Stefano Tullii (barbablues) wrote :

A friend of mine with an Acer Aspire 1680 running Ubuntu 10.4 came to me telling shutdown didn't work for him, so i found this thread while trying to help. I updated to the latest kernel (this happened on 9/18/2010 and an update to the kernel had been released a few hours before) but it didn't help. Then i had and idea: just getting rid of the splash screen, i.e. changing

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
to
GRUB_CMDLINE_LINUX_DEFAULT=""

in /etc/default/grub

and running:

sudo update-grub

and this worked!

My friend now thinks seeing kernel startup/shutdown messages is much nicer than a purple screen with blinking dots...

neuromancer (neuromancer) wrote :

I'm running Ubuntu 10.04 with kernel 2.6.32-25-generic-pae.
My motherboard is a Gigabyte EX58-UD5.

This problem on shutdown wasn't native on my configuration for Ubuntu 10.04. It appear after some update, about one month ago I think.
And it's not related with the splash graphical login/logout.
Indeed removing "quiet splash" from GRUB_CMDLINE_LINUX_DEFAULT doesn't resolve the problem... it still hang on
"Will now halt"

Instead, in my case, as reported in comment #10, adding acpi=force to GRUB_CMDLINE_LINUX_DEFAULT worked.

Fabio Marconi (fabiomarconi) wrote :

Hello
Is this problem present with the latest updated Lucid's or Maverick's packages?
Thanks in advance
Fabio

Changed in ubuntu:
status: New → Incomplete
neuromancer (neuromancer) wrote :

Yes for me this problem still persist on Ubuntu 10.4 with latest update.
And "force=acpi" stopped working, so now I'm unable to shutdown correctly the pc from gui menu.

Instead, as reported here http://wwww.ubuntuforums.org/showthread.php?t=1597567, sudo halt work and the pc shutdown without problem.

Cristi Nistor (cristi-nistor) wrote :

The halt command doesn't bring the shutdown of the machine. I receive the following messages:

hecking for running unattended-upgrades:
[2123.864016] BUG: soft lockup CPU#0 stuck for 61s! [sync 3271]

and continues for a long time. I did not had the patience to wait to see if it shut downs.

Fabio Marconi (fabiomarconi) wrote :

Hello
If not already fixed can someone reproduce the bug and attach here
/var/log/syslog
/var/log/kern.log
/var/log/Xorg.0.log.
/var/log/Xorg.0.log.old
/var/log/dmesg
/var/log/unattended-upgrades
Thanks
Fabio

Changed in ubuntu:
status: Incomplete → New
status: New → Incomplete
Cristi Nistor (cristi-nistor) wrote :

/var/log/syslog

Cristi Nistor (cristi-nistor) wrote :

/var/log/kern.log

Cristi Nistor (cristi-nistor) wrote :

/var/log/Xorg.0.log

Cristi Nistor (cristi-nistor) wrote :

/var/log/Xorg.0.log.old

Cristi Nistor (cristi-nistor) wrote :

/var/log/dmesg

Cristi Nistor (cristi-nistor) wrote :

In /var/log folder I have a folder named "unattended-upgrades", but is empty.

Good luck,
Cristian Nistor

Fabio Marconi (fabiomarconi) wrote :
Download full text (3.7 KiB)

Nov 16 08:05:01 judas-laptop CRON[1696]: (www-data) CMD (php /usr/share/cacti/site/poller.php >/dev/null 2>/var/log/cacti/poller-error.log)
apt-get clean and reinstall cacti (or look in /var/log/cacti/poller-error.log)

from kern.log
Nov 1 18:20:48 judas-laptop kernel: [ 926.761260] BUG: unable to handle kernel NULL pointer dereference at (null)
Nov 1 18:20:48 judas-laptop kernel: [ 926.761276] IP: [<c0226cc2>] bdi_queue_work+0x42/0x90
Nov 1 18:20:48 judas-laptop kernel: [ 926.761298] *pde = 00000000
Nov 1 18:20:48 judas-laptop kernel: [ 926.761304] Oops: 0002 [#1] SMP
Nov 1 18:20:48 judas-laptop kernel: [ 926.761310] last sysfs file: /sys/devices/virtual/hwmon/hwmon0/temp1_input
Nov 1 18:20:48 judas-laptop kernel: [ 926.761316] Modules linked in: xt_TCPMSS xt_tcpmss xt_tcpudp iptable_mangle ip_tables x_tables ppp_deflate zlib_deflate bsd_comp ppp_async binfmt_misc savage drm option usbserial joydev snd_via82xx gameport snd_via82xx_modem snd_pcm_oss snd_ac97_codec ac97_bus snd_mixer_oss snd_seq_dummy snd_pcm snd_seq_oss snd_mpu401_uart snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer pcmcia snd_seq_device i2c_viapro fbcon tileblit font bitblit softcursor snd vga16fb vgastate ppdev via_ircc via_agp yenta_socket soundcore video snd_page_alloc psmouse serio_raw sbp2 parport_pc irda crc_ccitt agpgart rsrc_nonstatic pcmcia_core output shpchp lp parport 8139too ohci1394 8139cp dm_raid45 usb_storage mii pata_via ieee1394 floppy xor [last unloaded: openafs]
Nov 1 18:20:48 judas-laptop kernel: [ 926.761400]
Nov 1 18:20:48 judas-laptop kernel: [ 926.761407] Pid: 2797, comm: sync Tainted: P (2.6.32-25-generic #45-Ubuntu) LIFEBOOK C Series
Nov 1 18:20:48 judas-laptop kernel: [ 926.761412] EIP: 0060:[<c0226cc2>] EFLAGS: 00010246 CPU: 0
Nov 1 18:20:48 judas-laptop kernel: [ 926.761418] EIP is at bdi_queue_work+0x42/0x90
Nov 1 18:20:48 judas-laptop kernel: [ 926.761421] EAX: 00000000 EBX: dffc9500 ECX: dffc95d0 EDX: d4ea5c90
Nov 1 18:20:48 judas-laptop kernel: [ 926.761425] ESI: dffc95c4 EDI: d4ea5c80 EBP: d58a9f64 ESP: d58a9f58
Nov 1 18:20:48 judas-laptop kernel: [ 926.761429] DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Nov 1 18:20:48 judas-laptop kernel: [ 926.761434] Process sync (pid: 2797, ti=d58a8000 task=ed8ae600 task.ti=d58a8000)
Nov 1 18:20:48 judas-laptop kernel: [ 926.761438] Stack:
Nov 1 18:20:48 judas-laptop kernel: [ 926.761441] d4ea5c80 dffc9500 0000009c d58a9f90 c0227a5c d799d8f0 d58a9fb4 009f9c70
Nov 1 18:20:48 judas-laptop kernel: [ 926.761451] <0> d58a9fac 00000020 00000000 dffc9500 0000009c 00000000 d58a9fa4 c0227b45
Nov 1 18:20:48 judas-laptop kernel: [ 926.761463] <0> 00000000 bf803264 00000001 d58a9fac c022b13f d58a8000 c01033ec bf803264
Nov 1 18:20:48 judas-laptop kernel: [ 926.761475] Call Trace:
Nov 1 18:20:48 judas-laptop kernel: [ 926.761484] [<c0227a5c>] ? __bdi_start_writeback+0x7c/0xf0
Nov 1 18:20:48 judas-laptop kernel: [ 926.761492] [<c0227b45>] ? wakeup_flusher_threads+0x75/0x80
Nov 1 18:20:48 judas-laptop kernel: [ 926.761500] [<c022b13f>] ? sys_sync+0xf/0x40
Nov 1 18:20:48 judas-laptop kernel: [ 926.761508] [<c01033ec>] ? syscall_call+0x7/0xb
N...

Read more...

summary: - ubuntu 10.04 hangs on shutdown splash
+ ubuntu 10.04 hangs on shutdown splash [unable to handle kernel NULL
+ pointer dereference at (null)
affects: ubuntu → linux (Ubuntu)
summary: ubuntu 10.04 hangs on shutdown splash [unable to handle kernel NULL
- pointer dereference at (null)
+ pointer dereference at (null)]

Hello Cristi
can you please run in a terminal
apport-collect -p linux 567580
Thanks
Fabio

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: judas 1566 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'V8233'/'VIA 8233 with Cx20468 at 0xe100, irq 10'
   Mixer name : 'Conexant Cx20468 rev 1'
   Components : 'AC97a:43585429'
   Controls : 30
   Simple ctrls : 19
Card1.Amixer.info:
 Card hw:1 'modem'/'VIA 82XX modem at 0xe200, irq 10'
   Mixer name : 'Conexant Cx20468 rev 1'
   Components : 'AC97m:43585429'
   Controls : 2
   Simple ctrls : 2
Card1.Codecs.codec97.0.mc97.0.0:
 0-0/0: Conexant Cx20468 rev 1

 Extended modem ID: codec=0 LIN1
 Modem status : GPIO
 Line1 rate : 48000Hz
DistroRelease: Ubuntu 10.04
Frequency: Once a day.
HibernationDevice: RESUME=UUID=b189d5fb-9f79-4af3-88a9-43de8841e47b
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
Lsusb:
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: FUJITSU SIEMENS LIFEBOOK C Series
NonfreeKernelModules: openafs
Package: linux 2.6.32.25.27
PackageArchitecture: i386
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   no card
ProcCmdLine: root=UUID=6151c2b2-24e9-4dc6-844b-d222d4c8c172 ro ht=on quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-25.45-generic 2.6.32.21+drm33.7
Regression: No
RelatedPackageVersions: linux-firmware 1.34.1
Reproducible: No
RfKill:

Tags: lucid needs-upstream-testing
Uname: Linux 2.6.32-25-generic i686
UserGroups: adm admin audio cdrom dialout lpadmin netdev plugdev sambashare
WpaSupplicantLog:

dmi.bios.date: 08/18/2003
dmi.bios.vendor: Insyde/FUJITSU
dmi.bios.version: Version 1.30
dmi.board.name: PI401
dmi.board.vendor: FUJITSU
dmi.board.version: null
dmi.chassis.asset.tag: null
dmi.chassis.type: 10
dmi.chassis.vendor: FUJITSU
dmi.chassis.version: null
dmi.modalias: dmi:bvnInsyde/FUJITSU:bvrVersion1.30:bd08/18/2003:svnFUJITSUSIEMENS:pnLIFEBOOKCSeries:pvrnull:rvnFUJITSU:rnPI401:rvrnull:cvnFUJITSU:ct10:cvrnull:
dmi.product.name: LIFEBOOK C Series
dmi.product.version: null
dmi.sys.vendor: FUJITSU SIEMENS

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Hello Fabio.

The report is sent. I was in the middle of the distribution upgrade process,
and I hope the report is not altered.

Good luck,
Cristian Nistor

2010/11/22 Fabio Marconi <email address hidden>

> Hello Cristi
> can you please run in a terminal
> apport-collect -p linux 567580
> Thanks
> Fabio
>
> --
> ubuntu 10.04 hangs on shutdown splash [unable to handle kernel NULL pointer
> dereference at (null)]
> https://bugs.launchpad.net/bugs/567580
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hello Fabio.

The system upgrade didn't fix the issue :). From what I see it seems that
things are happening faster than in previous version (freezing the machine).
Anyway the upgrade process didn't go smoothly and now I am unable to log in
into the Gnome session (login screen loop), only KDE seems to work (not the
shut down sequence). The kernel's versions are 35-22 and 35-25, both with
the same behavior (normal login). But, if I use the recovery mode with root
or netroot, after launching the X-server I am able to use the Gnome session,
and miraculously the system responds to restart and to shut down sequence (I
have to wait only for about 10s for the process to be completed). If you
need something from the data registered in the root session, just let me
know. It is strange and frustrating. Even on login screen if I want to
restart the system or to shut down, the computer freezes. But it seems to
work fine on root account.

Good luck,
Cristian Nistor

2010/11/23 Fabio Marconi <email address hidden>

> Hello Cristi
> Does the upgrade fix the problem ?
> Thanks
> Fabio
>
> --
> ubuntu 10.04 hangs on shutdown splash [unable to handle kernel NULL pointer
> dereference at (null)]
> https://bugs.launchpad.net/bugs/567580
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Hello Fabio.

The latest kernel doesn't bring anything new :). Same login screen loop for
Gnome Session and the machine is freezing if restart or shut down option is
used.

Cristian Nistor

2010/11/26 Fabio Marconi <email address hidden>

> Hello Cristi
> Can you please test the latest mainline kernel
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.35-rc1-lucid/<http://kernel.ubuntu.com/%7Ekernel-ppa/mainline/v2.6.35-rc1-lucid/>
> Thanks
> Fabio
>
> --
> ubuntu 10.04 hangs on shutdown splash [unable to handle kernel NULL pointer
> dereference at (null)]
> https://bugs.launchpad.net/bugs/567580
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hello Cristi
Thanks for support.
Fabio

description: updated
tags: added: tested upstream-2.6.35-rc1
removed: 1680 5500 acer apport-collected nvidia radeon shutdown splash
thom (tsk) wrote :

I had the same problem, see bug #580867
I also have a solution which might work for you. (see bug #580867)

hope this helps

Finally I managed to make it work. I've installed the latest version of
Ubuntu on a VirtualBox environment, and I've noticed that xsession is taking
care of output display settings and xorg.conf file is not necessary anymore.
So, I simply rename it and I was able to login to Gnome session. And I am
able now to reboot and to shut down the machine (kernel versions 2.6.35-22
and 2.6.35-25, the 35RC1 throws some errors). At first sight, it seems that
the xorg.conf file was causing the mess and, making it unavailable, solved
my problem. Definitely it was something related to the video card settings.

thom thanks for your hint but it doesn't apply to my hardware configuration.

Cristian Nistor

2010/11/30 thom <email address hidden>

> I had the same problem, see bug #580867
> I also have a solution which might work for you. (see bug #580867)
>
> hope this helps
>
> --
> ubuntu 10.04 hangs on shutdown splash [unable to handle kernel NULL pointer
> dereference at (null)]
> https://bugs.launchpad.net/bugs/567580
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I am experiencing the same symptoms on a Dell Latitude E6410 laptop with Intel graphics. Ubuntu 11.10. Switching to a non-graphics terminal (e.g. Ctrl-Alt-F1) allows shutdown to continue to completion.

Pedro Ribeiro, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.
For all others subscribed to this bug not using an Acer Travelmate 1680, please file a new bug via the Terminal:
ubuntu-bug linux

summary: - ubuntu 10.04 hangs on shutdown splash [unable to handle kernel NULL
- pointer dereference at (null)]
+ [Acer Travelmate 1680] ubuntu 10.04 hangs on shutdown splash [unable to
+ handle kernel NULL pointer dereference at (null)]
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.